## GulkanSwapchain

GulkanSwapchain

## Functions

GulkanSwapchain * | gulkan_swapchain_new ()
uint32_t | gulkan_swapchain_get_size ()
VkFormat | gulkan_swapchain_get_format ()
gboolean | gulkan_swapchain_acquire ()
gboolean | gulkan_swapchain_present ()
void | gulkan_swapchain_get_images ()
VkExtent2D | gulkan_swapchain_get_extent ()
gboolean | gulkan_swapchain_reset_surface ()

## Types and Values

#define | GULKAN_TYPE_SWAPCHAIN
| GulkanSwapchain

## Object Hierarchy

        GObject
        ╰── GulkanSwapchain

## Includes

    #include <gulkan.h>

## Description

## Functions

### gulkan_swapchain_new ()

    GulkanSwapchain *
    gulkan_swapchain_new (GulkanClient *client,
                          VkSurfaceKHR surface,
                          VkPresentModeKHR present_mode,
                          VkFormat format,
                          VkColorSpaceKHR colorspace);

### gulkan_swapchain_get_size ()

    uint32_t
    gulkan_swapchain_get_size (GulkanSwapchain *self);

### gulkan_swapchain_get_format ()

    VkFormat
    gulkan_swapchain_get_format (GulkanSwapchain *self);

### gulkan_swapchain_acquire ()

    gboolean
    gulkan_swapchain_acquire (GulkanSwapchain *self,
                              VkSemaphore signal_semaphore,
                              uint32_t *index);

### gulkan_swapchain_present ()

    gboolean
    gulkan_swapchain_present (GulkanSwapchain *self,
                              VkSemaphore *wait_semaphore,
                              uint32_t index);

### gulkan_swapchain_get_images ()

    void
    gulkan_swapchain_get_images (GulkanSwapchain *self,
                                 VkImage *swap_chain_images);

### gulkan_swapchain_get_extent ()

    VkExtent2D
    gulkan_swapchain_get_extent (GulkanSwapchain *self);

### gulkan_swapchain_reset_surface ()

    gboolean
    gulkan_swapchain_reset_surface (GulkanSwapchain *self,
                                    VkSurfaceKHR surface);

## Types and Values

### GULKAN_TYPE_SWAPCHAIN

    #define GULKAN_TYPE_SWAPCHAIN gulkan_swapchain_get_type()

### GulkanSwapchain

    typedef struct _GulkanSwapchain GulkanSwapchain;